Bug 68116 - bttv module errors with onboard ATI video
bttv module errors with onboard ATI video
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-06 11:12 EDT by Brett Simpson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brett Simpson 2002-07-06 11:12:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
  I have a problem where the bttv module will not work in combination with 
onboard ATI video.  The onboard ATI video card works fine but I get nothing 
from the encoding card. If I use a Cirrus logic PCI video card the bttv module 
works fine with xawtv.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use a Compaq Proliant server with onboard video.
2.Use a Osprey 100 video card.
3. Open xawtv.	

Actual Results:  You will get a blank screen in xawtv.

Expected Results:  Disable onboard video and use another pci video card.
Xawtv will now display the video that comes in on the encoder card.


Additional info:

Jul  3 17:41:33 localhost kernel: bttv0: PLL: 28636363 => 35468950 ... ok
Jul  3 17:41:33 localhost kernel: bttv0: irq: SCERR risc_count=2e765820
Jul  3 17:41:33 localhost kernel: bttv0: irq: SCERR risc_count=2e765808
Jul  3 17:41:33 localhost kernel: bttv0: irq: SCERR risc_count=2e765810

[root@localhost root]# uname -a
Linux localhost.localdomain 2.4.18-3 #1 Thu Apr 18 07:37:53 EDT 2002 i686 unknow
n

Jul  3 17:41:33 localhost kernel: bttv0: irq: SCERR risc_count=2e765810
Jul  3 17:41:33 localhost kernel: bttv0: irq: SCERR risc_count=2e765808
Jul  3 17:41:33 localhost kernel: bttv0: aiee: error loops
Jul  3 17:41:36 localhost kernel: bttv0: PLL: switching off
Jul  3 17:41:39 localhost kernel: bttv0: resetting chip

[root@localhost root]# lspci
00:00.0 Host bridge: ServerWorks CNB20HE Host Bridge (rev 23)
00:00.1 Host bridge: ServerWorks CNB20HE Host Bridge (rev 01)
00:00.2 Host bridge: ServerWorks: Unknown device 0006 (rev 01)
00:00.3 Host bridge: ServerWorks: Unknown device 0006 (rev 01)
00:02.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
00:05.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:06.0 System peripheral: Compaq Computer Corporation Advanced System 
Management Controller
00:0f.0 ISA bridge: ServerWorks OSB4 South Bridge (rev 51)
00:0f.1 IDE interface: ServerWorks OSB4 IDE Controller
01:02.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
01:02.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
01:04.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture 
(rev 11)
01:04.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 
11)
07:07.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug 
Controller (rev 12)
[root@localhost root]#
Comment 1 Bugzilla owner 2004-09-30 11:39:44 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.